package com.vungle.warren;

import android.support.annotation.Nullable;

//Runtime changing values needed outside Vungle class
public class RuntimeValues {
    /**
     * Header bidding Callback interface
     */
    @Nullable
    volatile HeaderBiddingCallback headerBiddingCallback;

    /**
     * Internal reference to the initialization callback. Publishers are required to provide a
     */
    @Nullable
    volatile InitCallback initCallback;

    /**
     * To enable DirectDownload feature
     */
    @Nullable
    volatile PublisherDirectDownload publisherDirectDownload;

    /**
     * VungleSettings
     */
    @Nullable
    volatile VungleSettings settings;
}
