package com.vungle.warren.tasks.utility;

import android.support.annotation.NonNull;

import com.vungle.warren.tasks.JobInfo;

public interface ThreadPriorityHelper {
    /**
     * Computes Linux Process priority based on job info internal job priority
     *
     * @param jobInfo to compute priority for
     * @return {@link android.os.Process} thread priority
     */
    int makeAndroidThreadPriority(@NonNull JobInfo jobInfo);

}
